mdsk.net
当前位置:首页 >> usr loCAl php liB >>

usr loCAl php liB

使用以下命令查看一下,安装在哪里了。 whereis php

php的zip模块运行库找不到. 查查文件/usr/local/php/lib/php/extensions/no-debug-non-zts-20060613/php_zip.dll是否存在.如不存在则可能php的包有问题.或者打开php的配置文件,将zip模块配置相关的注释掉.

先建目录 mkdir -p /usr/local/php

libphp5.so是php5提供的,你还需要编译php5才能生成这个文件 你在PHP的configure的时候,加上: --with-apxs2=/usr/local/apache/bin/apxs 这样就会自动编译一个libphp5.so出来了。

pdo扩展模是有蛮多了,如pdo_mysql也是pdo模块中的一个了,下文我们就以安装pdo_mysql为示例帮助大家介绍一下安装步骤吧,其它的pdo扩展模块安装步骤也可以一样。 假设php目录为/usr/local/php mysql目录为/usr/local/mysql 1. 进入PHP源码包ext...

这可能是因为你安装的是mysql5.5,因为mysql5.5 的lib路径跟以前版本不一样,所以你可以执行以下指令 echo"/usr/local/mysql/lib" >> /etc/ld.so.conf ldconfig /usr/local/mysql/lib为你安装的mysql的lib路径

细细的看了一下楼主和各位的讨论。 楼主说了对httpd.conf的改动情况,但是最关键的116行却没有给出, /usr/local/apache/conf/httpd.conf 另外还有一点儿,我感觉错误信息的意思是libmcrypt.so.4 加载不到libphp5.so,希望楼主照此思路再检查一下。

显示文件 /usr/local/apache/conf/httpd.conf: 116 行以及前后几行的内容。 你在显示文件时,希望可以ls -l,这样权限也可以看到。 比如果 ls -l /usr/lib/libmcrypt.so.4

原因是找不到pc_base这个类,貌似是路径有问题,你看看我给你描红的地方

实际上httpd.conf已经存在。不知道为什么出现以上错误,采用了以下方法,先备份httpd.conf 然后重新建一个httpd.conf 内容 #LoadModule directive to aid module installations #LoadModule dummy_module /usr/lib/apache2/modules/mod_dummy.so...

网站首页 | 网站地图
All rights reserved Powered by www.mdsk.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com